/****************************************************************/
/* User variables header file for Integration Framework Hub     */
/* configuration control file                                   */
/****************************************************************/

typedef enum {
             USER_VAR_FLOAT_TYPE = 1,
             USER_VAR_STRING_TYPE,
             USER_VAR_INTEGER_TYPE
             } userValueT;

typedef struct userVarS {
                        struct userVarS *next;
                        char            *name;
                        userValueT       type;
                        union  {
                               float f;
                               char *s;
                               long  i;
                               } value;
                        } userVarT, *userVarPtrT;
